#ifndef _PSCAN_ERR_H
#define _PSCAN_ERR_H

#define M_pscanLib			631

#define S_pscanLib_NOT_INITIALIZED	(M_pscanLib << 16 | 0)
#define S_pscanLib_NO_MEMORY 		(M_pscanLib << 16 | 1)
#define S_pscanLib_OPEN_ERROR		(M_pscanLib << 16 | 2)
#define S_pscanLib_INIT_ERROR		(M_pscanLib << 16 | 3)
#define S_pscanLib_WRITE_ERROR		(M_pscanLib << 16 | 4)
#define S_pscanLib_READ_ERROR		(M_pscanLib << 16 | 5)

/* static H2_ERROR[] */
#define PSCAN_H2_ERR_MSGS {\
    {"NOT_INITIALIZED", (S_pscanLib_NOT_INITIALIZED & 0xffff)},	\
    {"NO_MEMORY", (S_pscanLib_NO_MEMORY & 0xffff)},		\
    {"OPEN_ERROR", (S_pscanLib_OPEN_ERROR & 0xffff)},		\
    {"INIT_ERROR", (S_pscanLib_INIT_ERROR & 0xffff)},		\
    {"WRITE_ERROR", (S_pscanLib_WRITE_ERROR & 0xffff)},	\
    {"READ_ERROR", (S_pscanLib_READ_ERROR & 0xffff)},	\
}

#endif
